using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/UserHead2.aspx文件
    /// </summary>
    public class 编译扩展_Club_User_Edit_Head2 : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_User_Edit_Head2(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }

        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            编译器.方法库 += @"
	private void 更换头像提交()
	{
		int ID=Convert.ToInt32(Request.QueryString[""ID""]);
		Hashtable 头像=常用.SQL_获取(new SqlCommand(""SELECT [图片位置] FROM [""+程序.数据表前缀+""社区_用户_头像] WHERE [用户ID]=""+访问.用户[""ID""]+"" AND [ID]=""+ID,访问.连接));
		if(头像==null)
			throw new Exception(""头像不存在"");

		SqlCommand 语句=new SqlCommand(""UPDATE [""+程序.数据表前缀+""社区_用户_用户] SET [头像]=@头像 WHERE [ID]=""+访问.用户[""ID""],访问.连接);
		语句.Parameters.Add(""@头像"",SqlDbType.NVarChar).Value=头像[""图片位置""].ToString();
		语句.ExecuteNonQuery();
	}
";
            return @"
	访问.验证会员();
	更换头像提交();
";
        }

        public string 编译公共标签(string 代码)
        {
            return "";
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}